couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From d..@apache.org
Subject [2/2] git commit: Show branch differences as a unified diff (try to elude comments).
Date Tue, 30 Jul 2013 15:35:28 GMT
Show branch differences as a unified diff (try to elude comments).


Project: http://git-wip-us.apache.org/repos/asf/couchdb-admin/repo
Commit: http://git-wip-us.apache.org/repos/asf/couchdb-admin/commit/72852311
Tree: http://git-wip-us.apache.org/repos/asf/couchdb-admin/tree/72852311
Diff: http://git-wip-us.apache.org/repos/asf/couchdb-admin/diff/72852311

Branch: refs/heads/master
Commit: 72852311c86d4f12dcea0b8074492d52d7af4618
Parents: a41b2f1
Author: Dirkjan Ochtman <dirkjan@ochtman.nl>
Authored: Tue Jul 30 17:35:13 2013 +0200
Committer: Dirkjan Ochtman <dirkjan@ochtman.nl>
Committed: Tue Jul 30 17:35:13 2013 +0200

----------------------------------------------------------------------
 release/check_docs.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/couchdb-admin/blob/72852311/release/check_docs.sh
----------------------------------------------------------------------
diff --git a/release/check_docs.sh b/release/check_docs.sh
index e5371d2..fc345d0 100755
--- a/release/check_docs.sh
+++ b/release/check_docs.sh
@@ -92,8 +92,8 @@ done
 
 function compare () {
     log "Comparing changelog.rst, $1 to $2..."
-    diff $tmp_dir/branch/$1/changelog.rst $tmp_dir/branch/$2/changelog.rst | \
-        grep -E "^< [^#]" || true
+    diff -u $tmp_dir/branch/$1/changelog.rst $tmp_dir/branch/$2/changelog.rst | \
+       grep -E '^[d \+\-\@]?([^#]|\s)' || true
 }
 
 function scan () {


Mime
View raw message